com.impinj.stp

## Class StpApi.OperationSummaryReport.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationSummaryReport.Builder>
      - - com.impinj.stp.StpApi.OperationSummaryReport.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.OperationSummaryReportOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.OperationSummaryReport

      public static final class StpApi.OperationSummaryReport.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationSummaryReport.Builder>
      implements StpApi.OperationSummaryReportOrBuilder

  Protobuf type `Impinj.STP.OperationSummaryReport` If enabled in ReportConfig_, this report is sent when the device operation stops.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.OperationSummaryReport` | `build()`
    `StpApi.OperationSummaryReport` | `buildPartial()`
    `StpApi.OperationSummaryReport.Builder` | `clear()`
    `StpApi.OperationSummaryReport.Builder` | `clearOperationElapsedTime()`
    `StpApi.OperationSummaryReport.Builder` | `clearOperationResult()`
    `StpApi.OperationSummaryReport.Builder` | `clearOperationResultDetail()`
    `StpApi.OperationSummaryReport.Builder` | `clearTagOperationFailCount()`
    `StpApi.OperationSummaryReport.Builder` | `clearTagOperationPassCount()`
    `StpApi.OperationSummaryReport.Builder` | `clearTagOperationTotalCount()`
    `StpApi.OperationSummaryReport.Builder` | `clearTimestamp()`
    `StpApi.OperationSummaryReport.Builder` | `clone()`
    `StpApi.OperationSummaryReport` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `int` | `getOperationElapsedTime()`
    `StpApi.OperationSummaryResult` | `getOperationResult()`
    `java.lang.String` | `getOperationResultDetail()`
    `com.google.protobuf.ByteString` | `getOperationResultDetailBytes()`
    `int` | `getTagOperationFailCount()`
    `int` | `getTagOperationPassCount()`
    `int` | `getTagOperationTotalCount()`
    `StpApi.Timestamp` | `getTimestamp()`
    `StpApi.Timestamp.Builder` | `getTimestampBuilder()`
    `StpApi.TimestampOrBuilder` | `getTimestampOrBuilder()`
    `boolean` | `hasOperationElapsedTime()`
    `boolean` | `hasOperationResult()`
    `boolean` | `hasOperationResultDetail()`
    `boolean` | `hasTagOperationFailCount()`
    `boolean` | `hasTagOperationPassCount()`
    `boolean` | `hasTagOperationTotalCount()`
    `boolean` | `hasTimestamp()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.OperationSummaryReport.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.OperationSummaryReport.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.OperationSummaryReport.Builder` | `mergeFrom(StpApi.OperationSummaryReport other)`
    `StpApi.OperationSummaryReport.Builder` | `mergeTimestamp(StpApi.Timestamp value)`
    `StpApi.OperationSummaryReport.Builder` | `setOperationElapsedTime(int value)`
    `StpApi.OperationSummaryReport.Builder` | `setOperationResult(StpApi.OperationSummaryResult value)`
    `StpApi.OperationSummaryReport.Builder` | `setOperationResultDetail(java.lang.String value)`
    `StpApi.OperationSummaryReport.Builder` | `setOperationResultDetailBytes(com.google.protobuf.ByteString value)`
    `StpApi.OperationSummaryReport.Builder` | `setTagOperationFailCount(int value)`
    `StpApi.OperationSummaryReport.Builder` | `setTagOperationPassCount(int value)`
    `StpApi.OperationSummaryReport.Builder` | `setTagOperationTotalCount(int value)`
    `StpApi.OperationSummaryReport.Builder` | `setTimestamp(StpApi.Timestamp.Builder builderForValue)`
    `StpApi.OperationSummaryReport.Builder` | `setTimestamp(StpApi.Timestamp value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationSummaryReport.Builder>`

    - #### clear

          public StpApi.OperationSummaryReport.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationSummaryReport.Builder>`

    - #### clone

          public StpApi.OperationSummaryReport.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationSummaryReport.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationSummaryReport.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.OperationSummaryReport getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.OperationSummaryReport build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.OperationSummaryReport buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.OperationSummaryReport.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OperationSummaryReport.Builder>`

    - #### mergeFrom

          public StpApi.OperationSummaryReport.Builder mergeFrom(StpApi.OperationSummaryReport other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.OperationSummaryReport.Builder>`

    - #### mergeFrom

          public StpApi.OperationSummaryReport.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.OperationSummaryReport.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasTimestamp

          public boolean hasTimestamp()

      Specified by:
        `hasTimestamp` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### getTimestamp

          public StpApi.Timestamp getTimestamp()

      Specified by:
        `getTimestamp` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### setTimestamp

          public StpApi.OperationSummaryReport.Builder setTimestamp(StpApi.Timestamp value)

    - #### setTimestamp

          public StpApi.OperationSummaryReport.Builder setTimestamp(StpApi.Timestamp.Builder builderForValue)

    - #### mergeTimestamp

          public StpApi.OperationSummaryReport.Builder mergeTimestamp(StpApi.Timestamp value)

    - #### clearTimestamp

          public StpApi.OperationSummaryReport.Builder clearTimestamp()

    - #### getTimestampBuilder

          public StpApi.Timestamp.Builder getTimestampBuilder()

    - #### getTimestampOrBuilder

          public StpApi.TimestampOrBuilder getTimestampOrBuilder()

      Specified by:
        `getTimestampOrBuilder` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### hasOperationResult

          public boolean hasOperationResult()

      Specified by:
        `hasOperationResult` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### getOperationResult

          public StpApi.OperationSummaryResult getOperationResult()

      Specified by:
        `getOperationResult` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### setOperationResult

          public StpApi.OperationSummaryReport.Builder setOperationResult(StpApi.OperationSummaryResult value)

    - #### clearOperationResult

          public StpApi.OperationSummaryReport.Builder clearOperationResult()

    - #### hasOperationResultDetail

          public boolean hasOperationResultDetail()

      Specified by:
        `hasOperationResultDetail` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### getOperationResultDetail

          public java.lang.String getOperationResultDetail()

      Specified by:
        `getOperationResultDetail` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### getOperationResultDetailBytes

          public com.google.protobuf.ByteString getOperationResultDetailBytes()

      Specified by:
        `getOperationResultDetailBytes` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### setOperationResultDetail

          public StpApi.OperationSummaryReport.Builder setOperationResultDetail(java.lang.String value)

    - #### clearOperationResultDetail

          public StpApi.OperationSummaryReport.Builder clearOperationResultDetail()

    - #### setOperationResultDetailBytes

          public StpApi.OperationSummaryReport.Builder setOperationResultDetailBytes(com.google.protobuf.ByteString value)

    - #### hasOperationElapsedTime

          public boolean hasOperationElapsedTime()

      Specified by:
        `hasOperationElapsedTime` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### getOperationElapsedTime

          public int getOperationElapsedTime()

      Specified by:
        `getOperationElapsedTime` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### setOperationElapsedTime

          public StpApi.OperationSummaryReport.Builder setOperationElapsedTime(int value)

    - #### clearOperationElapsedTime

          public StpApi.OperationSummaryReport.Builder clearOperationElapsedTime()

    - #### hasTagOperationTotalCount

          public boolean hasTagOperationTotalCount()

      Specified by:
        `hasTagOperationTotalCount` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### getTagOperationTotalCount

          public int getTagOperationTotalCount()

      Specified by:
        `getTagOperationTotalCount` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### setTagOperationTotalCount

          public StpApi.OperationSummaryReport.Builder setTagOperationTotalCount(int value)

    - #### clearTagOperationTotalCount

          public StpApi.OperationSummaryReport.Builder clearTagOperationTotalCount()

    - #### hasTagOperationPassCount

          public boolean hasTagOperationPassCount()

      Specified by:
        `hasTagOperationPassCount` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### getTagOperationPassCount

          public int getTagOperationPassCount()

      Specified by:
        `getTagOperationPassCount` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### setTagOperationPassCount

          public StpApi.OperationSummaryReport.Builder setTagOperationPassCount(int value)

    - #### clearTagOperationPassCount

          public StpApi.OperationSummaryReport.Builder clearTagOperationPassCount()

    - #### hasTagOperationFailCount

          public boolean hasTagOperationFailCount()

      Specified by:
        `hasTagOperationFailCount` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### getTagOperationFailCount

          public int getTagOperationFailCount()

      Specified by:
        `getTagOperationFailCount` in interface `StpApi.OperationSummaryReportOrBuilder`

    - #### setTagOperationFailCount

          public StpApi.OperationSummaryReport.Builder setTagOperationFailCount(int value)

    - #### clearTagOperationFailCount

          public StpApi.OperationSummaryReport.Builder clearTagOperationFailCount()